use std::os::fd::AsRawFd;

use io_uring::types;

use crate::Fd;

pub(crate) trait FdUringExt {
    fn uring(&self) -> types::Fd;
}

impl FdUringExt for Fd {
    fn uring(&self) -> types::Fd {
        types::Fd(self.as_raw_fd())
    }
}
